Bug 234079 - www/kf5-kdewebkit: Does not work with latest version of net/qt5-network
Summary: www/kf5-kdewebkit: Does not work with latest version of net/qt5-network
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-12-16 22:46 UTC by freebsd-bugs
Modified: 2019-02-17 19:49 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd-bugs 2018-12-16 22:46:28 UTC
www/kf5-kdewebkit requires does not work with latest version of net/qt5-network. Relevant part of build output below.

> CMake Error at /usr/local/share/cmake/Modules/CMakeFindDependencyMacro.cmake:48 (find_package):
>   Could not find a configuration file for package "Qt5Network" that exactly
>   matches requested version "5.11.2".
> 
>   The following configuration files were considered but not accepted:
> 
>     /usr/local/lib/cmake/Qt5Network/Qt5NetworkConfig.cmake, version: 5.12.0
> 
> Call Stack (most recent call first):
>   /usr/local/lib/cmake/Qt5WebKitWidgets/Qt5WebKitWidgetsConfig.cmake:73 (find_dependency)
>   /usr/local/lib/cmake/Qt5/Qt5Config.cmake:28 (find_package)
>   CMakeLists.txt:16 (find_package)
> 
> 
> -- Configuring incomplete, errors occurred!
> See also "/usr/ports/www/kf5-kdewebkit/work/.build/CMakeFiles/CMakeOutput.log".
> *** Error code 1
Comment 1 commit-hook freebsd_committer 2018-12-17 06:45:54 UTC
A commit references this bug:

Author: tcberner
Date: Mon Dec 17 06:45:48 UTC 2018
New revision: 487658
URL: https://svnweb.freebsd.org/changeset/ports/487658

Log:
  www/qt5-webkit: add missing bump after Qt5 upgrade

  PR:		234079
  Submitted by:	<freebsd-bugs@micallef.io>

Changes:
  head/www/qt5-webkit/Makefile
Comment 2 Tobias C. Berner freebsd_committer 2018-12-17 06:47:33 UTC
Sorry, the rewuired bump of www/qt5-webkit did not survive.

Mfg Tobias
Comment 3 mikhail.rokhin 2019-02-16 21:01:16 UTC
Reopen the bug, please. It fails to accept version 5.12.1 , it claims to have 5.12.0 version of net/qt5-network exactly.
Comment 4 Tobias C. Berner freebsd_committer 2019-02-17 06:49:56 UTC
(In reply to mikhail.rokhin from comment #3)
Is your Webkit at qt5-webkit-5.212.0.a2_19?


mfg Tobias
Comment 5 mikhail.rokhin 2019-02-17 18:04:09 UTC
(In reply to Tobias C. Berner from comment #4)
No, it's qt5-webkit-5.212.0.a2_18
Comment 6 Tobias C. Berner freebsd_committer 2019-02-17 18:27:41 UTC
(In reply to mikhail.rokhin from comment #5)
Then you did not rebuild it after the upgrade of Qt5 to 5.12.1. And therefore it still assumes 5.12.0. 

Upgrade all yout packages and it will work.


Mfg Tobias
Comment 7 mikhail.rokhin 2019-02-17 19:25:19 UTC
(In reply to Tobias C. Berner from comment #6)
Confirm success at qt5-webkit-5.212.0.a2_19 .

Thank you.
Comment 8 Tobias C. Berner freebsd_committer 2019-02-17 19:49:02 UTC
Great :)